/* Your Global Styles */

:root {
    /*Lepton Variables*/
    --lpx-logo: url('/images/logo/logo.jpg') !important;
    --lpx-logo-icon: url('/images/logo/logo.jpg') !important;
    --lpx-content-text-rgb: 16,16,16;
    --lpx-content-bg-rgb: 243,243,243;
    --lpx-primary-rgb: 0,90,154;
    --lpx-secondary-rgb: 255,213,0;
    --lpx-navbar-color-rgb: var(--lpx-text-white-rgb);
    --lpx-navbar-text-color-rgb: var(--lpx-content-text-rgb);
    --lpx-navbar-active-text-color-rgb: var(--lpx-primary-rgb);
    --lpx-navbar-active-bg-color-rgb: var(--lpx-content-bg-rgb);
    --lpx-primary: #005a9a;
    --lpx-secondary: #ffd500;
    --lpx-content-text: #0F0F0F;
    --lpx-content-bg: #F3F3F3;
    --lpx-navbar-color: var(--lpx-text-white);
    --lpx-navbar-text-color: var(--lpx-content-text);
    --lpx-navbar-active-text-color: var(--lpx-primary);
    --lpx-navbar-active-bg-color: var(--lpx-content-bg);
    --lpx-brand: var(--lpx-primary);
    --lpx-card-title-text-color: var(--lpx-primary);
    --lpx-primary-hover: #003871;
    /*Bootstrap Variables*/
    --bs-link-color: var(--lpx-primary);
    --bs-link-hover-color: #003871 !important;
    --bs-heading-color: var(--lpx-primary);
    --bs-accordion-active-color: var(--lpx-primary);
    --bs-primary-rgb: var(--lpx-primary-rgb);
    --bs-danger-rgb: 234,10,10;
    --bs-danger: #ea0a0a;
    --bs-link-hover-color-rgb: var(--lpx-primary-rgb);
    /*Blazorise Variables*/
    /*for Spinner*/
    --secondary: var(--lpx-primary);
    --green: #4fbf67;
    --red: #ea0a0a;
    --red-transparent: rgba(234, 10, 10, 0.07);
}

.lpx-content-container .lpx-content {
    margin-top: 3.5rem !important; 
}

.lpx-content {
    min-height: calc(100vh - 112px) !important;
}

.btn-primary {
    --bs-btn-bg: var(--lpx-primary);
    --bs-btn-hover-bg: var(--lpx-primary-hover) !important;
    --bs-btn-active-bg: var(--lpx-primary-hover) !important;
}

.font-size-h1 {
    font-size: 27px; 
}

.btn-square-icon-center{
    max-width: 27px !important;
    aspect-ratio: 1;
    display: flex;
    justify-content: center; 
    align-items: center; 
}

.btn-square-icon-center i.fa-lg {
    line-height: 0;
}

.text-primary {
    color: var(--lpx-primary);
}

.card.bg-primary {
    background-color: var(--lpx-primary) !important;
}

.bg-primary {
    background-color: var(--lpx-primary) !important;
}

.lpx-brand-logo {
    background-size: auto 64px !important;
    height: 64px !important;
}

.pagination {
    --bs-pagination-active-bg: var(--lpx-primary);
}

.pagination .page-item.active .page-link {
    background-color: var(--bs-pagination-active-bg) !important;               
}

.lpx-icon {
    color: var(--lpx-primary);
}

select.form-select option:checked, select.form-select option:focus, select.form-select option:active {
    background: var(--lpx-primary) !important;
    color: #fff !important;
}

.nav-pills {
    --bs-nav-pills-border-radius: 0.5rem;
    --bs-nav-pills-link-active-color: #fff;
    --bs-nav-pills-link-active-bg: var(--lpx-primary);
    /*--bs-nav-pills-link-active-color: var(--lpx-primary);
    --bs-nav-pills-link-active-bg: rgba(0, 90, 154, 0.15);*/
}

.btn-outline-primary {
    --bs-btn-color: var(--lpx-primary);
    --bs-btn-border-color: var(--lpx-primary);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--lpx-primary);
    --bs-btn-hover-border-color: var(--lpx-primary);
    --bs-btn-focus-shadow-rgb: 53, 93, 255;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--lpx-primary);
    --bs-btn-active-border-color: var(--lpx-primary);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--lpx-primary);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--lpx-primary);
    --bs-btn-font-weight: 400;
    --bs-gradient: none;
}

.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--lpx-primary);
    --bs-btn-border-color: var(--lpx-primary);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #2d4fd9;
    --bs-btn-hover-border-color: #2a4acc;
    --bs-btn-focus-shadow-rgb: 83, 117, 255;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #2a4acc;
    --bs-btn-active-border-color: #2846bf;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: var(--lpx-primary);
    --bs-btn-disabled-border-color: var(--lpx-primary);
    --bs-btn-font-weight: 300;
}

.nav-banner{
    color: var(--lpx-primary) !important;
    text-decoration: underline var(--lpx-primary) !important;
    text-transform: uppercase; 
    font-weight: 600;
    font-size: initial;
    background-color: white !important;
    text-underline-offset: 7px;
}

.flex-basis-content {
    flex-basis: content;
}

.form-check-input:checked {
    background-color: var(--lpx-primary) !important;
    border-color: var(--lpx-primary) !important;
}

.form-label {
    margin-bottom: 0.25rem;
    text-transform: uppercase;
    color: #555;
    font-weight: 400;
    font-size: 0.75em;
}

input.form-control {
    background-color: transparent !important;
    border-color: #555 !important;
}

input.search-bar {
    background-color: transparent !important; 
    border-color: var(--lpx-primary) !important; 
}

.form-control.date-edit {
    background-color: transparent !important; 
}

.form-select {
    background-color: transparent !important;
    border-color: #555 !important;
}

textarea.form-control {
    background-color: white !important; 
    border-color: #555 !important; 
}

.form-check-input {
    background-color: white !important;
    border-color: #555 !important;
}

.input-group-text {
    background-color: transparent;
    border-color: #555 !important;
    border-right-width: 0px; 
}

.input-group input[type="date"].form-control {
    border-left-width: 0px;
    padding-left: 0px;
}

.table thead th {
    color: #555;
}

.accordion-button {
    justify-content: flex-start;
}

.connected-children-accordion .accordion-button::after {
    order: -1;
    margin-right: 1rem;
    margin-left: inherit;
    background-image: var(--bs-accordion-btn-icon) !important;
    transform: rotate(-90deg);
}

.connected-children-accordion .accordion-button:not(.collapsed)::after {
    transform: rotate(-180deg);
}

.edit-icon::before {
    cursor: pointer;
}

.wide-modal {
    --bs-modal-width: 75%;
}

.accordion {
    --bs-accordion-active-color: var(--lpx-primary) !important;
}

h1 {
    font-size: 27px; 
}

h2 {
    color: #0F0F0F !important;
    font-size: 17.5px; 
    line-height: 21px; 
}

h3 {
    font-size: 14px; 
    line-height: 21px; 
}

.form-switch s.form-check-input:checked {
    border-color: var(--lpx-primary) !important;
    background-color: var(--lpx-primary) !important;
}

.fa-pen {
    color: var(--lpx-primary);
}

.fa-trash {
    color: var(--bs-danger);
}

th .d-inline-flex i {
    margin-left: 0.375rem; 
}

th .d-inline-flex svg{
    margin-left: 0.375rem;
}

th .d-inline-flex .fa-sort-up {
margin-top: 0.375rem;
}

input.form-control.is-valid {
    border-color: #555 !important;
    background-image: none;
    padding-right: inherit;
}

select.form-select.is-valid {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e") !important;
    border-color: #555 !important;
    padding-right: inherit;
}

.green-child-count {
    color: var(--green);
}

h2.modal-title {
    font-size: 1.5rem;
}

.nav-link:not(.active){
    background-color: white; 
    color: var(--lpx-primary);
}

.nav-link.disabled {
    background: rgba(50, 81, 104, 0.08);
    color: #555;
    opacity: 0.8;
}

.py-d3 {
    padding-top: 0.3rem !important;
    padding-bottom: 0.3rem !important;
}


@media only screen and (min-width: 768px) and (max-width: 1199px){
    .lpx-content-container {
        margin-left: 280px !important; 
    }
    .lpx-sidebar-container {
        min-width: 280px !important; 
    }
    .lpx-sidebar-container:not(:hover) .hidden-in-hover-trigger:not(.collapsed) {
        display: block !important; 
    }
    .lpx-sidebar-container .lpx-sidebar .lpx-nav {
        min-width: 280px !important; 
    }
    .lpx-logo-container{
        width: 280px !important; 
    }
}

.icon-hover-effect {
    transition: color 0.2s; /* Smooth transition */
}

.icon-hover-effect:hover {
    
    color: var(--lpx-primary); /* Change icon color on hover (tomato) */
    font-weight: normal;
}

.border-1.border-primary {
    border-color: var(--lpx-primary) !important;
}

.pagination .page-item .page-link:hover, .pagination .page-item .page-link:focus, .pagination .page-item .page-link:active {
    color: var(--lpx-primary-hover) !important;
    background: none !important;
}

.is-same {
    color: var(--green);
}

.is-diffrent {
    color: var(--red);
}

.is-invalid-application {
    background: var(--red-transparent);
}

form.is-invalid-application {
    background: unset;
}

form.is-invalid-application > .tab-content {
    background: var(--red-transparent);
}

.table.table-striped > tbody > tr:nth-of-type(even) > td, .table.table-bordered > tbody > tr:nth-of-type(even) > td {
    background-color: rgba(243, 243, 243, 0.30);
}

.table.table-striped > tbody > tr:nth-of-type(odd) > td, .table.table-bordered > tbody > tr:nth-of-type(odd) > td {
    background-color: unset;
}

.pagination .page-item .page-link:hover{
    color: var(--lpx-primary) !important;
}

.table-responsive {
    min-height: 300px !important;
}

.modal-header:has(.btn-close) button:not(.btn-close) {
    margin-right: 0.75rem !important;
}